# Surf Util

[![Build Status](https://github.com/surfstudio/SurfGear/workflows/build/badge.svg)](https://github.com/surfstudio/SurfGear)
[![Coverage Status](https://codecov.io/gh/surfstudio/SurfGear/branch/dev/graph/badge.svg?flag=surf_util)](https://codecov.io/gh/surfstudio/SurfGear)
[![Pub Version](https://img.shields.io/pub/v/surf_util)](https://pub.dev/packages/surf_util)
[![Pub Version (including pre-releases)](https://img.shields.io/pub/v/surf_util?include_prereleases)](https://pub.dev/packages/surf_util)
[![Pub Likes](https://badgen.net/pub/likes/surf_util)](https://pub.dev/packages/surf_util)
![Flutter Platform](https://badgen.net/pub/flutter-platform/surf_util)

This package is part of the [SurfGear](https://github.com/surfstudio/SurfGear) toolset made by [Surf](https://surf.ru).

## About

A library with set of common classes and utilities used in different modules

## Main classes

1. [Bitmask](/lib/src/enum/bitmask.dart) - A generic implementation of the Bitmask type
2. [Enum](/lib/src/enum/enum.dart) - Java-like enum
3. [Transformable](/lib/src/transformable.dart) - Base class for transformation
4. [DisableOverscroll](/lib/src/ui/widget/disable_overscroll_widget.dart) - Prevent glowing when scrolling over the edge

## Installation

Add `surf_utils` to your `pubspec.yaml` file:

```yaml
dependencies:
  surf_utils: ^1.0.0
```

You can use both `stable` and `dev` versions of the package listed above in the badges bar.

## Changelog

All notable changes to this project will be documented in [this file](./CHANGELOG.md).

## Issues

For issues, file directly in the [main SurfGear repo](https://github.com/surfstudio/SurfGear).

## Contribute

If you would like to contribute to the package (e.g. by improving the documentation, solving a bug or adding a cool new feature), please review our [contribution guide](../../CONTRIBUTING.md) first and send us your pull request.

You PRs are always welcome.

## How to reach us

Please feel free to ask any questions about this package. Join our community chat on Telegram. We speak English and Russian.

[![Telegram](https://img.shields.io/badge/chat-on%20Telegram-blue.svg)](https://t.me/SurfGear)

## License

[Apache License, Version 2.0](https://www.apache.org/licenses/LICENSE-2.0)
